
Foreman - Bug #8343

API resource_scope ignores options

11/11/2014 04:03 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: API   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2099

  

Description

This leads to ignoring eager loading and other rails AR options.

Related issues:

Related to Foreman - Bug #11266: Unnested *_id parameters treated as parent r... New 07/31/2015

Related to Foreman - Bug #12201: GET /api/hosts/:host_id/audits error Closed 10/16/2015

Related to Foreman - Bug #12965: Error when trying to get operatingsystem's p... Closed 12/31/2015

Related to Foreman - Bug #13775: Not able to change an HG for a host using AP... Closed 02/17/2016

Related to Foreman - Bug #14000: Non-admin user receives permissions error on... Closed 03/02/2016

Related to Foreman - Bug #15653: CVE-2016-5390 - access to API host interface... Closed 07/12/2016

Related to Foreman - Refactor #23234: remove friendly_id <5.0 workarounds Closed

Associated revisions

Revision bb39df2a - 07/14/2015 07:01 AM - Shimon Shtein

Fixes #8343 - Consolidated code paths, and removed unnecessary DB calls for parent object

History

#1 - 11/11/2014 07:51 AM - Dominic Cleal

- Category set to API

#2 - 11/23/2014 05:32 AM - Ohad Levy

This actually slows down every api call, as it can't be eager loaded, joins etc.

#3 - 01/05/2015 07:29 AM - Shimon Shtein

- Assignee set to Shimon Shtein

#4 - 01/20/2015 08:45 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2099 added

- Pull request deleted ()

#5 - 07/14/2015 07:09 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#6 - 07/14/2015 08:01 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bb39df2a67d69f5d1307b7bfed8d6c5f3a349116.
#7 - 07/31/2015 07:38 AM - Dominic Cleal

- Related to Bug #11266: Unnested *_id parameters treated as parent resources in API added

#8 - 10/20/2015 07:11 AM - Dominic Cleal

- Related to Bug #12201: GET /api/hosts/:host_id/audits error added

#9 - 01/11/2016 04:24 AM - Dominic Cleal

- Related to Bug #12965: Error when trying to get operatingsystem's provisioning templates throuh api added

#10 - 02/17/2016 12:41 PM - Dominic Cleal

- Related to Bug #13775: Not able to change an HG for a host using API call added

#11 - 03/02/2016 03:48 AM - Dominic Cleal

- Related to Bug #14000: Non-admin user receives permissions error on config_templates API added

#12 - 07/12/2016 03:58 AM - Dominic Cleal

- Related to Bug #15653: CVE-2016-5390 - access to API host interfaces, parameters etc. are not restricted by view_hosts filters added

#13 - 04/11/2018 08:58 PM - Anonymous

- Related to Refactor #23234: remove friendly_id <5.0 workarounds added
